Bug 1568576 - Deployment template validation failed
Summary: Deployment template validation failed
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.8.4
Assignee: Daniel Berger
QA Contact: Brandon Squizzato
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1568009
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 19:39 UTC by Satoe Imaishi
Modified: 2018-06-25 14:20 UTC (History)
9 users (show)

(edit)
Clone Of: 1568009
(edit)
Last Closed: 2018-06-25 14:20:05 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:20 UTC

Comment 2 CFME Bot 2018-04-17 21:32:52 UTC
New commit detected on ManageIQ/manageiq-providers-azure/fine:

https://github.com/ManageIQ/manageiq-providers-azure/commit/9dddbeff742fbe518555f8d81b683f8d02bef8d2
commit 9dddbeff742fbe518555f8d81b683f8d02bef8d2
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Tue Apr 17 14:29:02 2018 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Tue Apr 17 14:29:02 2018 -0400

    Merge pull request #241 from djberg96/gemspec

    Update azure-armrest gem to 0.9.10
    (cherry picked from commit 9f4013ebe8a2da1fc0ca015b3cd7752ad0ea1b5d)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1568576

 manageiq-providers-azure.gemspec | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Brandon Squizzato 2018-05-17 16:41:32 UTC
Verified on 5.8.4.3

Created a service dialog using the azure stack template referenced in this issue that has params written in 'underscore_format'. Verified that provisioning using this template proceeded and params were parsed.

[----] I, [2018-05-17T12:39:05.650363 #2307:6c0ae1c]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Child Service: mycatalog-20180517-123905
[----] I, [2018-05-17T12:39:05.679072 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Grandchild Task: 3 Desc: Provision from [fedora-sm-tmpl] to [myvm0001] type: template
[----] I, [2018-05-17T12:39:05.679883 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Processing set_vm_name
[----] I, [2018-05-17T12:39:05.949438 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Using default vm name: myvm0001
[----] I, [2018-05-17T12:39:06.030497 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Processing set_vm_name...Complete
[----] I, [2018-05-17T12:39:06.124075 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Adding Option: {stack_name => foostackname} to Provisioning id: 3
[----] I, [2018-05-17T12:39:06.233741 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Adding Option: {dialog_stack_name => foostackname} to Provisioning id: 3
[----] I, [2018-05-17T12:39:06.324845 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Adding Option: {new_resource_group => foorg} to Provisioning id: 3
[----] I, [2018-05-17T12:39:06.433856 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Adding Option: {dialog_new_resource_group => foorg} to Provisioning id: 3
[----] I, [2018-05-17T12:39:06.547967 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Adding Option: {deploy_mode => Incremental} to Provisioning id: 3
[----] I, [2018-05-17T12:39:06.691285 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Adding Option: {dialog_deploy_mode => Incremental} to Provisioning id: 3
[----] I, [2018-05-17T12:39:06.799285 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Adding Option: {param_stack_owner => foostackowner} to Provisioning id: 3
[----] I, [2018-05-17T12:39:06.884764 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Adding Option: {dialog_param_stack_owner => foostackowner} to Provisioning id: 3
[----] I, [2018-05-17T12:39:06.970515 #2307:6c643b8]  INFO -- : Q-task_id([service_template_provision_task_1]) <AEMethod catalogiteminitialization> Adding Option: {param_stack_prefix => foostackprefix} to Provisioning id: 3

Comment 6 errata-xmlrpc 2018-06-25 14:20:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.